Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

does model WS-X2914-XL-V support IOS version c2900XL-c3h2s-mz-120.5-XU.bin?

Hi,

really appreciate if anyone could advise on the following.

Purpose: to implement bpdu guard on switch model WS-X2914-XL-V. current IOS version c2900XL-c3h2s-mz-120.5-XU.bin does not support bpdu guard feature.

Action: Download from cisco website c2900xl-c3h2s-mz.120-5.WC14.bin but installation failed. (details in attached file, show version)

Question:

1) wonder if my switch can be upgraded to IOS c2900xl-c3h2s-mz.120-5.WC14?

2) If yes, what causes the error in IOS upgrade?

Thanks!!!

Christina

3 REPLIES

Re: does model WS-X2914-XL-V support IOS version c2900XL-c3h2s-m

Hi Christina,

Yes your switch definetely supports this image and your switch model number is WS-C2924M-XL-A as I can see from the attachment but in your notes you have updated WS-X2914-XL-V which I think is wrong.

As per the attachment which you have send your switch is WS-C2924M-XL-A and it supports 12.0(5)WC14 but the problem is your switch does not have enough space available in your flash to load the new IOS.

If you check the output of "sh flash" you will see 3612672 bytes total (840192 bytes free) which means not even 1 MB space is free and you new file will definetely be more than 1 MB so delete the old file first and then try installing the new one.

Your switch for sure supports this new file, to confirm my statement please check this link

http://www.cisco.com/univercd/cc/td/doc/product/lan/c2900xl/2935wc14/ol256210.htm#wp84866

HTH, if yes please rate the post.

Ankur

New Member

Re: does model WS-X2914-XL-V support IOS version c2900XL-c3h2s-m

Hi Ankur,

switch model is WS-C2924M-XL-A, model WS-X2914-XL-V is my module slot 2. thanks for the correction.

yes, i have deleted the old files and uploaded successfully.

btw, IOS version 12.0(5)WC14 supports bpdu guard, but it does not have errdisable recovery feature???

Thanks.

Christina

Re: does model WS-X2914-XL-V support IOS version c2900XL-c3h2s-m

Hi Christina,

Nice to know you were able to upgrade successfully.

errdisable recovery feature should be there in 12.0(5)WC14 release as this featyre was first intorduced in 12.0(5)WC5.

Have a look at this link

http://www.cisco.com/univercd/cc/td/doc/product/lan/c2900xl/29_35wc6/cli/clicmds.htm#79686

I will appreciate if you rate all post

HTH

Ankur

239
Views
5
Helpful
3
Replies
CreatePlease login to create content